Reference
/- Withdraw approval request and return bill to draft
Check bill payment status
Add another payment to a bill
Request approval for a bill payment
Approve a bill payment
Reject a bill payment
Retry a failed bill payment
Withdraw approval request...
Security
oauth2ClientCredentials(Required scopes: bills:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/bills/{billId}/payments/{paymentRef}/withdraw
- Productionhttps://api.boyahq.com/v2/bills/{billId}/payments/{paymentRef}/withdraw
- Sandboxhttps://sandbox.api.boyahq.com/v2/bills/{billId}/payments/{paymentRef}/withdraw
curl -i -X POST \
'https://developer.boyahq.com/_mock/v2/openapi/bills/{billId}/payments/{paymentRef}/withdraw' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"reason": "Withdrawn by initiator"
}'